MyGUI: MyGUI::ILayer Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::ILayer Class Referenceabstract

`#include <MyGUI_ILayer.h>`

Inheritance diagram for MyGUI::ILayer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ILayer | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ILayer ()
virtual | ~ILayer ()
const std::string & | getName () const
virtual ILayerNode * | createChildItemNode ()=0
virtual void | destroyChildItemNode (ILayerNode *_node)=0
virtual void | upChildItemNode (ILayerNode *_node)=0
virtual EnumeratorILayerNode | getEnumerator () const =0
virtual size_t | getLayerNodeCount () const =0
virtual ILayerNode * | getLayerNodeAt (size_t _index) const =0
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual IntPoint | getPosition (int _left, int _top) const =0
virtual const IntSize & | getSize () const =0
virtual void | renderToTarget (IRenderTarget *_target, bool _update)=0
virtual void | resizeView (const IntSize &_viewSize)=0
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
virtual void | deserialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Attributes
std::string | mName

## Detailed Description

Definition at line 21 of file MyGUI_ILayer.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ILayer::Base

Definition at line 24 of file MyGUI_ILayer.h.

## ◆ RTTIBase

typedef ILayer MyGUI::ILayer::RTTIBase

Definition at line 24 of file MyGUI_ILayer.h.

## Constructor & Destructor Documentation

## ◆ ILayer()

MyGUI::ILayer::ILayer | ( |  | ) |
| inline

Definition at line 27 of file MyGUI_ILayer.h.

## ◆ ~ILayer()

virtual MyGUI::ILayer::~ILayer | ( |  | ) |
| inlinevirtual

Definition at line 28 of file MyGUI_ILayer.h.

## Member Function Documentation

## ◆ createChildItemNode()

virtual ILayerNode* MyGUI::ILayer::createChildItemNode | ( |  | ) |
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ destroyChildItemNode()

virtual void MyGUI::ILayer::destroyChildItemNode | ( | ILayerNode * | _node | ) |
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ getClassTypeName()

static const std::string& MyGUI::ILayer::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 24 of file MyGUI_ILayer.h.

## ◆ getEnumerator()

virtual EnumeratorILayerNode MyGUI::ILayer::getEnumerator | ( |  | ) | const
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ getLayerItemByPoint()

virtual ILayerItem* MyGUI::ILayer::getLayerItemByPoint | ( | int | _left,
|  | int | _top
| ) |  | const
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ getLayerNodeAt()

virtual ILayerNode* MyGUI::ILayer::getLayerNodeAt | ( | size_t | _index | ) | const
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ getLayerNodeCount()

virtual size_t MyGUI::ILayer::getLayerNodeCount | ( |  | ) | const
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ getName()

const std::string& MyGUI::ILayer::getName | ( | void |  | ) | const
| inline

Definition at line 31 of file MyGUI_ILayer.h.

## ◆ getPosition()

virtual IntPoint MyGUI::ILayer::getPosition | ( | int | _left,
|  | int | _top
| ) |  | const
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ getSize()

virtual const IntSize& MyGUI::ILayer::getSize | ( |  | ) | const
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ getTypeName()

virtual const std::string& MyGUI::ILayer::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

Definition at line 24 of file MyGUI_ILayer.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ILayer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 24 of file MyGUI_ILayer.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ILayer::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

Definition at line 24 of file MyGUI_ILayer.h.

## ◆ renderToTarget()

virtual void MyGUI::ILayer::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ resizeView()

virtual void MyGUI::ILayer::resizeView | ( | const IntSize & | _viewSize | ) |
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## ◆ upChildItemNode()

virtual void MyGUI::ILayer::upChildItemNode | ( | ILayerNode * | _node | ) |
| pure virtual

Implemented in MyGUI::SharedLayer, and MyGUI::OverlappedLayer.

## Field Documentation

## ◆ mName

std::string MyGUI::ILayer::mName
| protected

Definition at line 66 of file MyGUI_ILayer.h.

The documentation for this class was generated from the following file:

- MyGUI_ILayer.h